org.apache.lucene.util

## Class ThreadInterruptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.util.ThreadInterruptedException

All Implemented Interfaces:
  Serializable

    public final class ThreadInterruptedException
    extends RuntimeException

Thrown by lucene on detecting that Thread.interrupt() had been called. Unlike Java's InterruptedException, this exception is not checked..

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ThreadInterruptedException(InterruptedException ie)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ThreadInterruptedException

    public ThreadInterruptedException(InterruptedException ie)